<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
    .square{
        height: 200px;
        width: 200px;
        background: red;
        margin-top: 10px;
    }
    </style>
   <script>
        // truy xuất tới element của HTML bằng Id
        function change(){
            document.getElementById('show').innerHTML="Thành phần đã được thay đổi"
            document.getElementById('show').style.color="red"
           
        }
        function dbclick(){
            var element = document.getElementsByClassName('input')
            document.write('thành phần vừa nhập: '+ element[0].value)
        }
        
    </script>
</head>
<body>
    <div id="content">
        <p id="show">Hello World</p>
        <input type="text" class="input" value="">
        <input type="button"  value="Click and double click" onclick=" change()" ondblclick="dbclick()">
        <input type="button" value="Add" id="btn">
        <input type="button" value="View" id="btn-view">
    </div>
    <script>
    // sử dụng hàm appendChild trong javascripts
    var button = document.getElementById('btn');
    button.addEventListener('click', function(){
        var h1 =document.createElement('h1')

        h1.innerHTML='h1 được thêm thành công'
        document.getElementById('content').appendChild(h1)
    })
    // sử dung hàm insertBefore() trong javascript
    var view = document.getElementById('btn-view')

    view.addEventListener('click', function(){
        var h1= document.createElement('h1')
        h1.innerHTML="Thành phần được hiển thị khi click button view"
        var element = document.getElementById('content')

        var element_insert = document.getElementById('show')

        element.insertBefore(h1, element_insert)

    })

    </script>
</body>
</html>